package gregapi.data;

import static gregapi.data.CS.F;
import static gregapi.data.CS.RES_PATH_GUI;
import static gregapi.data.CS.T;
import gregapi.recipes.Recipe.RecipeMap;
import gregapi.recipes.maps.*;

/**
 * @author Gregorius Techneticies
 * 
 * Class containing Recipe Maps, for Fuel Maps for into gregapi.data.FM
 */
@SuppressWarnings("deprecation")
public class RM {
	public static final RecipeMap
	  Furnace					= new RecipeMapFurnace				(null, "mc.recipe.furnace"						, "Furnace"							, "smelting"					, 0, 1, RES_PATH_GUI+"machines/E_Furnace"			,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	, Microwave					= new RecipeMapMicrowave			(null, "gt.recipe.microwave"					, "Microwave"						, "smelting"					, 0, 1, RES_PATH_GUI+"machines/E_Furnace"			,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	
	, IC2OreWasher				= new RecipeMapOreWasher			(null, "ic.recipe.orewasher"					, "Ore Washer"						, "ic2.blockOreWashingPlant"	, 0, 1, RES_PATH_GUI+"machines/OreWasher"			,/*IN-OUT-MIN-ITEM=*/ 1, 3, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 1,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	, IC2ThermalCentrifuge		= new RecipeMapThermalCentrifuge	(null, "ic.recipe.thermalcentrifuge"			, "Thermal Centrifuge"				, "ic2.blockCentrifuge"			, 0, 1, RES_PATH_GUI+"machines/ThermalCentrifuge"	,/*IN-OUT-MIN-ITEM=*/ 1, 3, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 2, ""					,    1, ""		, T, F, F, T)
	, IC2Macerator				= new RecipeMapMacerator			(null, "ic.recipe.macerator"					, "Macerator"						, "ic2.macerator"				, 0, 1, RES_PATH_GUI+"machines/Macerator"			,/*IN-OUT-MIN-ITEM=*/ 1, 4, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	, IC2Compressor				= new RecipeMapCompressor			(null, "ic.recipe.compressor"					, "Compressor"						, "ic2.compressor"				, 0, 1, RES_PATH_GUI+"machines/Compressor"			,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	, IC2Extractor				= new RecipeMapExtractor			(null, "ic.recipe.extractor"					, "Extractor"						, "ic2.extractor"				, 0, 1, RES_PATH_GUI+"machines/Extractor"			,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	, IC2Recycler				= new RecipeMapRecycler				(null, "ic.recipe.recycler"						, "Recycler"						, "ic2.recycler"				, 0, 1, RES_PATH_GUI+"machines/Recycler"			,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	
	, ByProductList				= new RecipeMap						(null, "gt.recipe.byproductlist"				, "Ore Byproduct List"				, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 1, 6, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, F, T)
	, CrucibleSmelting			= new RecipeMap						(null, "gt.recipe.cruciblesmelting"				, "Crucible Smelting"				, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 6, 6, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, "Temperature: "		,    1, " K"	, T, T, F, T)
	, CrucibleAlloying			= new RecipeMap						(null, "gt.recipe.cruciblealloying"				, "Combination Smelting"			, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 6, 6, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, "Temperature: "		,    1, " K"	, T, T, F, T)
	, Generifier				= new RecipeMap						(null, "gt.recipe.generifier"					, "Generifier"						, null, 0, 1, RES_PATH_GUI+"machines/Generifier"				,/*IN-OUT-MIN-ITEM=*/ 1, 1, 0,/*IN-OUT-MIN-FLUID=*/ 1, 1, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	
	, Sharpening				= new RecipeMap						(null, "gt.recipe.sharpener"					, "Sharpener"						, null, 0, 1, RES_PATH_GUI+"machines/Sharpener"					,/*IN-OUT-MIN-ITEM=*/ 1, 2, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Sifting					= new RecipeMap						(null, "gt.recipe.sifter"						, "Sifter"							, null, 2, 1, RES_PATH_GUI+"machines/Sifter"					,/*IN-OUT-MIN-ITEM=*/ 1,12, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Hammer					= new RecipeMapHammer				(null, "gt.recipe.hammer"						, "Hammer"							, null, 6, 3, RES_PATH_GUI+"machines/Hammer"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, T, T)
	, Chisel					= new RecipeMapChisel				(null, "gt.recipe.chisel"						, "Chisel"							, null, 0, 1, RES_PATH_GUI+"machines/Chisel"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F, T, T)
	, Shredder					= new RecipeMapShredder				(null, "gt.recipe.shredder"						, "Shredder"						, null, 0, 1, RES_PATH_GUI+"machines/Shredder"					,/*IN-OUT-MIN-ITEM=*/ 1, 6, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Crusher					= new RecipeMapCrusher				(null, "gt.recipe.crusher"						, "Crusher"							, null, 0, 1, RES_PATH_GUI+"machines/Crusher"					,/*IN-OUT-MIN-ITEM=*/ 1, 4, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Lathe						= new RecipeMap						(null, "gt.recipe.lathe"						, "Lathe"							, null, 0, 1, RES_PATH_GUI+"machines/Lathe"						,/*IN-OUT-MIN-ITEM=*/ 1, 2, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Cutter					= new RecipeMapCutter				(null, "gt.recipe.cutter"						, "Cutter"							, null, 0, 1, RES_PATH_GUI+"machines/Cutter"					,/*IN-OUT-MIN-ITEM=*/ 1, 2, 1,/*IN-OUT-MIN-FLUID=*/ 1, 0, 1,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Coagulator				= new RecipeMap						(null, "gt.recipe.coagulator"					, "Coagulator"						, null, 0, 1, RES_PATH_GUI+"machines/Coagulator"				,/*IN-OUT-MIN-ITEM=*/ 0, 1, 0,/*IN-OUT-MIN-FLUID=*/ 1, 0, 1,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Squeezer					= new RecipeMap						(null, "gt.recipe.squeezer"						, "Squeezer"						, null, 0, 1, RES_PATH_GUI+"machines/Squeezer"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 1, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Juicer					= new RecipeMap						(null, "gt.recipe.juicer"						, "Juicer"							, null, 0, 1, RES_PATH_GUI+"machines/Juicer"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 1, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Mortar					= new RecipeMap						(null, "gt.recipe.mortar"						, "Mortar"							, null, 0, 1, RES_PATH_GUI+"machines/Mortar"					,/*IN-OUT-MIN-ITEM=*/ 1, 2, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Compressor				= new RecipeMap						(null, "gt.recipe.compressor"					, "Compressor"						, null, 0, 1, RES_PATH_GUI+"machines/Compressor"				,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Centrifuge				= new RecipeMap						(null, "gt.recipe.centrifuge"					, "Centrifuge"						, null, 0, 1, RES_PATH_GUI+"machines/Centrifuge"				,/*IN-OUT-MIN-ITEM=*/ 1, 6, 0,/*IN-OUT-MIN-FLUID=*/ 1, 6, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Electrolyzer				= new RecipeMap						(null, "gt.recipe.electrolyzer"					, "Electrolyzer"					, null, 0, 1, RES_PATH_GUI+"machines/Electrolyzer"				,/*IN-OUT-MIN-ITEM=*/ 1, 6, 0,/*IN-OUT-MIN-FLUID=*/ 1, 6, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, RollingMill				= new RecipeMap						(null, "gt.recipe.rollingmill"					, "Rolling Mill"					, null, 0, 1, RES_PATH_GUI+"machines/RollingMill"				,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, RollBender				= new RecipeMap						(null, "gt.recipe.rollbender"					, "Roll Bender"						, null, 0, 1, RES_PATH_GUI+"machines/RollBender"				,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, RollFormer				= new RecipeMap						(null, "gt.recipe.rollformer"					, "Roll Former"						, null, 0, 1, RES_PATH_GUI+"machines/RollFormer"				,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, ClusterMill				= new RecipeMap						(null, "gt.recipe.clustermill"					, "Cluster Mill"					, null, 0, 1, RES_PATH_GUI+"machines/ClusterMill"				,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Wiremill					= new RecipeMap						(null, "gt.recipe.wiremill"						, "Wiremill"						, null, 0, 1, RES_PATH_GUI+"machines/Wiremill"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Mixer						= new RecipeMap						(null, "gt.recipe.mixer"						, "Mixer"							, null, 0, 1, RES_PATH_GUI+"machines/Mixer"						,/*IN-OUT-MIN-ITEM=*/ 6, 1, 0,/*IN-OUT-MIN-FLUID=*/ 6, 2, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Canner					= new RecipeMapFluidCanner			(null, "gt.recipe.canner"						, "Canning Machine"					, null, 0, 1, RES_PATH_GUI+"machines/Canner"					,/*IN-OUT-MIN-ITEM=*/ 2, 2, 1,/*IN-OUT-MIN-FLUID=*/ 1, 1, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Injector					= new RecipeMap						(null, "gt.recipe.injector"						, "Injector"						, null, 0, 1, RES_PATH_GUI+"machines/Injector"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 0,/*IN-OUT-MIN-FLUID=*/ 2, 1, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Roasting					= new RecipeMap						(null, "gt.recipe.roaster"						, "Roaster"							, null, 0, 1, RES_PATH_GUI+"machines/Roaster"					,/*IN-OUT-MIN-ITEM=*/ 1, 3, 1,/*IN-OUT-MIN-FLUID=*/ 1, 1, 1,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Drying					= new RecipeMap						(null, "gt.recipe.drying"						, "Dryer"							, null, 0, 1, RES_PATH_GUI+"machines/Dryer"						,/*IN-OUT-MIN-ITEM=*/ 1, 1, 0,/*IN-OUT-MIN-FLUID=*/ 1, 1, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Fermenter					= new RecipeMap						(null, "gt.recipe.fermenter"					, "Fermenter"						, null, 0, 1, RES_PATH_GUI+"machines/Fermenter"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 0,/*IN-OUT-MIN-FLUID=*/ 1, 1, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Distillery				= new RecipeMap						(null, "gt.recipe.distillery"					, "Distillery"						, null, 0, 1, RES_PATH_GUI+"machines/Distillery"				,/*IN-OUT-MIN-ITEM=*/ 1, 2, 1,/*IN-OUT-MIN-FLUID=*/ 1, 2, 1,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Extruder					= new RecipeMap						(null, "gt.recipe.extruder"						, "Extruder"						, null, 0, 1, RES_PATH_GUI+"machines/Extruder"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Polarizer					= new RecipeMap						(null, "gt.recipe.polarizer"					, "Polarizer"						, null, 0, 1, RES_PATH_GUI+"machines/Polarizer"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Loom						= new RecipeMap						(null, "gt.recipe.loom"							, "Loom"							, null, 0, 1, RES_PATH_GUI+"machines/Loom"						,/*IN-OUT-MIN-ITEM=*/ 6, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Cooking					= new RecipeMap						(null, "gt.recipe.cooker"						, "Cooker"							, null, 0, 1, RES_PATH_GUI+"machines/Cooker"					,/*IN-OUT-MIN-ITEM=*/ 9, 1, 1,/*IN-OUT-MIN-FLUID=*/ 3, 1, 1,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Press						= new RecipeMapFormingPress			(null, "gt.recipe.press"						, "Press"							, null, 0, 1, RES_PATH_GUI+"machines/Press"						,/*IN-OUT-MIN-ITEM=*/ 3, 1, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Bath						= new RecipeMapBath					(null, "gt.recipe.bath"							, "Bath"							, null, 0, 1, RES_PATH_GUI+"machines/Bath"						,/*IN-OUT-MIN-ITEM=*/ 6, 6, 1,/*IN-OUT-MIN-FLUID=*/ 1, 3, 1,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Smelter					= new RecipeMap						(null, "gt.recipe.smelter"						, "Smelter"							, null, 0, 1, RES_PATH_GUI+"machines/Smelter"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 0,/*IN-OUT-MIN-FLUID=*/ 1, 1, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, LaserEngraver				= new RecipeMap						(null, "gt.recipe.laserengraver"				, "Precision Laser Engraver"		, null, 0, 1, RES_PATH_GUI+"machines/LaserEngraver"				,/*IN-OUT-MIN-ITEM=*/ 2, 1, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Welder					= new RecipeMap						(null, "gt.recipe.welder"						, "Welding Machine"					, null, 0, 1, RES_PATH_GUI+"machines/Welder"					,/*IN-OUT-MIN-ITEM=*/ 6, 1, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, CrystallisationCrucible	= new RecipeMap						(null, "gt.recipe.crystallisationcrucible"		, "Crystallisation Crucible"		, null, 0, 1, RES_PATH_GUI+"machines/CrystallisationCrucible"	,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 2, 0, 1,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, ScannerVisuals			= new RecipeMapScannerVisuals		(null, "gt.recipe.scannervisuals"				, "Scanner (Visuals)"				, null, 0, 1, RES_PATH_GUI+"machines/ScannerVisuals"			,/*IN-OUT-MIN-ITEM=*/ 2, 2, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Printer					= new RecipeMapPrinter				(null, "gt.recipe.printer"						, "Printer"							, null, 0, 1, RES_PATH_GUI+"machines/Printer"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 1,/*IN-OUT-MIN-FLUID=*/ 6, 0, 1,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Sluice					= new RecipeMap						(null, "gt.recipe.sluice"						, "Sluice"							, null, 0, 1, RES_PATH_GUI+"machines/Sluice"					,/*IN-OUT-MIN-ITEM=*/ 1, 9, 1,/*IN-OUT-MIN-FLUID=*/ 1, 1, 1,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, MagneticSeparator			= new RecipeMap						(null, "gt.recipe.magneticseparator"			, "Magnetic Separator"				, null, 0, 1, RES_PATH_GUI+"machines/MagneticSeparator"			,/*IN-OUT-MIN-ITEM=*/ 1, 6, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Autocrafter				= new RecipeMapAutocrafting			(null, "gt.recipe.autocrafting"					, "Crafting"						, null, 0, 1, RES_PATH_GUI+"machines/Crafting"					,/*IN-OUT-MIN-ITEM=*/ 9,12, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, F, F, T)
	, Massfab					= new RecipeMap						(null, "gt.recipe.massfab"						, "Matter Fabricator"				, null, 0, 1, RES_PATH_GUI+"machines/Massfab"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 0,/*IN-OUT-MIN-FLUID=*/ 1, 2, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, ScannerMolecular			= new RecipeMapScannerMolecular		(null, "gt.recipe.scannermolecular"				, "Molecular Scanner"				, null, 0, 1, RES_PATH_GUI+"machines/ScannerMolecular"			,/*IN-OUT-MIN-ITEM=*/ 2, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Replicator				= new RecipeMapReplicator			(null, "gt.recipe.replicator"					, "Matter Replicator"				, null, 0, 1, RES_PATH_GUI+"machines/Replicator"				,/*IN-OUT-MIN-ITEM=*/ 3, 3, 1,/*IN-OUT-MIN-FLUID=*/ 3, 3, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Slicer					= new RecipeMap						(null, "gt.recipe.slicer"						, "Slicer"							, null, 0, 1, RES_PATH_GUI+"machines/Slicer"					,/*IN-OUT-MIN-ITEM=*/ 2, 2, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, Laminator					= new RecipeMap						(null, "gt.recipe.laminator"					, "Laminator"						, null, 0, 1, RES_PATH_GUI+"machines/Laminator"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 2,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, CokeOven					= new RecipeMap						(null, "gt.recipe.cokeoven"						, "Coke Oven"						, null, 0, 1, RES_PATH_GUI+"machines/CokeOven"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 1, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	, DistillationTower			= new RecipeMap						(null, "gt.recipe.distillationtower"			, "Distillation Tower"				, null, 0, 1, RES_PATH_GUI+"machines/DistillationTower"			,/*IN-OUT-MIN-ITEM=*/ 1, 3, 0,/*IN-OUT-MIN-FLUID=*/ 1, 9, 0,/*MIN*/ 1,/*AMP=*/ 1, ""					,    1, ""		, T, T, T, T)
	
	, Autoclave					= new RecipeMap						(null, "gt.recipe.autoclave"					, "Autoclave"						, null, 0, 1, RES_PATH_GUI+"machines/Autoclave"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 1,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F/*T*/, F/*T*/, T)
	, Boxinator					= new RecipeMap						(null, "gt.recipe.packager"						, "Packager"						, null, 0, 1, RES_PATH_GUI+"machines/Packager"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F/*T*/, F/*T*/, T)
	, Unboxinator				= new RecipeMapUnboxinator			(null, "gt.recipe.unpackager"					, "Unpackager"						, null, 0, 1, RES_PATH_GUI+"machines/Unpackager"				,/*IN-OUT-MIN-ITEM=*/ 1, 2, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F/*T*/, F/*T*/, T)
	, Fusion					= new RecipeMap						(null, "gt.recipe.fusionreactor"				, "Fusion Reactor"					, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 0,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, "Start: "				,    1, " EU"	, T, F/*F*/, F/*T*/, T)
	, BlastFurnace				= new RecipeMap						(null, "gt.recipe.blastfurnace"					, "Blast Furnace"					, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 2, 2, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, "Heat Capacity: "		,    1, " K"	, F, F/*T*/, F/*T*/, T)
	, ImplosionCompressor		= new RecipeMap						(null, "gt.recipe.implosioncompressor"			, "Implosion Compressor"			, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 2, 2, 2,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F/*T*/, F/*T*/, T)
	, VacuumFreezer				= new RecipeMap						(null, "gt.recipe.vacuumfreezer"				, "Vacuum Freezer"					, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 1, 1, 1,/*IN-OUT-MIN-FLUID=*/ 0, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F/*T*/, F/*T*/, T)
	, Assembler					= new RecipeMapAssembler			(null, "gt.recipe.assembler"					, "Assembler"						, null, 0, 1, RES_PATH_GUI+"machines/Assembler"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 1,/*IN-OUT-MIN-FLUID=*/ 1, 0, 0,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F/*T*/, F/*T*/, T)
	, CNC						= new RecipeMap						(null, "gt.recipe.cncmachine"					, "CNC Machine"						, null, 0, 1, RES_PATH_GUI+"machines/Default"					,/*IN-OUT-MIN-ITEM=*/ 2, 1, 2,/*IN-OUT-MIN-FLUID=*/ 1, 0, 1,/*MIN*/ 0,/*AMP=*/ 1, ""					,    1, ""		, T, F/*T*/, F/*T*/, T)
	;
	
	// For Compatibility with old API Stuff.
	static {RecipeMap.sOreWasherRecipes = RM.IC2OreWasher;RecipeMap.sThermalCentrifugeRecipes = RM.IC2ThermalCentrifuge;RecipeMap.sMaceratorRecipes = RM.IC2Macerator;RecipeMap.sIC2CompressorRecipes = RM.IC2Compressor;RecipeMap.sExtractorRecipes = RM.IC2Extractor;RecipeMap.sRecyclerRecipes = RM.IC2Recycler;RecipeMap.sFurnaceRecipes = RM.Furnace;RecipeMap.sMicrowaveRecipes = RM.Microwave;RecipeMap.sFurnaceFuel = FM.Furnace;RecipeMap.sByProductList = RM.ByProductList;RecipeMap.sCrucibleSmelting = RM.CrucibleSmelting;RecipeMap.sCrucibleAlloying = RM.CrucibleAlloying;RecipeMap.sGenerifierRecipes = RM.Generifier;RecipeMap.sSharpeningRecipes = RM.Sharpening;RecipeMap.sSifterRecipes = RM.Sifting;RecipeMap.sHammerRecipes = RM.Hammer;RecipeMap.sChiselRecipes = RM.Chisel;RecipeMap.sShredderRecipes = RM.Shredder;RecipeMap.sCrusherRecipes = RM.Crusher;RecipeMap.sLatheRecipes = RM.Lathe;RecipeMap.sCutterRecipes = RM.Cutter;RecipeMap.sCoagulatorRecipes = RM.Coagulator;RecipeMap.sSqueezerRecipes = RM.Squeezer;RecipeMap.sJuicerRecipes = RM.Juicer;RecipeMap.sMortarRecipes = RM.Mortar;RecipeMap.sCompressorRecipes = RM.Compressor;RecipeMap.sCentrifugeRecipes = RM.Centrifuge;RecipeMap.sElectrolyzerRecipes = RM.Electrolyzer;RecipeMap.sRollingMillRecipes = RM.RollingMill;RecipeMap.sRollBenderRecipes = RM.RollBender;RecipeMap.sRollFormerRecipes = RM.RollFormer;RecipeMap.sClusterMillRecipes = RM.ClusterMill;RecipeMap.sWiremillRecipes = RM.Wiremill;RecipeMap.sMixerRecipes = RM.Mixer;RecipeMap.sCannerRecipes = RM.Canner;RecipeMap.sInjectorRecipes = RM.Injector;RecipeMap.sRoastingRecipes = RM.Roasting;RecipeMap.sDryingRecipes = RM.Drying;RecipeMap.sFermenterRecipes = RM.Fermenter;RecipeMap.sDistilleryRecipes = RM.Distillery;RecipeMap.sExtruderRecipes = RM.Extruder;RecipeMap.sPolarizerRecipes = RM.Polarizer;RecipeMap.sLoomRecipes = RM.Loom;RecipeMap.sCookingRecipes = RM.Cooking;RecipeMap.sPressRecipes = RM.Press;RecipeMap.sBathRecipes = RM.Bath;RecipeMap.sSmelterRecipes = RM.Smelter;RecipeMap.sLaserEngraverRecipes = RM.LaserEngraver;RecipeMap.sWelderRecipes = RM.Welder;RecipeMap.sCrystallisationCrucibleRecipes = RM.CrystallisationCrucible;RecipeMap.sScannerVisualsRecipes = RM.ScannerVisuals;RecipeMap.sPrinterRecipes = RM.Printer;RecipeMap.sSluiceRecipes = RM.Sluice;RecipeMap.sMagneticSeparatorRecipes = RM.MagneticSeparator;RecipeMap.sAutocrafterRecipes = RM.Autocrafter;RecipeMap.sMassfabRecipes = RM.Massfab;RecipeMap.sScannerMolecularRecipes = RM.ScannerMolecular;RecipeMap.sReplicatorRecipes = RM.Replicator;RecipeMap.sSlicerRecipes = RM.Slicer;RecipeMap.sCokeOvenRecipes = RM.CokeOven;RecipeMap.sDistillationTowerRecipes = RM.DistillationTower;RecipeMap.sAutoclaveRecipes = RM.Autoclave;RecipeMap.sBoxinatorRecipes = RM.Boxinator;RecipeMap.sUnboxinatorRecipes = RM.Unboxinator;RecipeMap.sFusionRecipes = RM.Fusion;RecipeMap.sBlastRecipes = RM.BlastFurnace;RecipeMap.sImplosionRecipes = RM.ImplosionCompressor;RecipeMap.sVacuumRecipes = RM.VacuumFreezer;RecipeMap.sAssemblerRecipes = RM.Assembler;RecipeMap.sCNCRecipes = RM.CNC;RecipeMap.sFuelsBurn = FM.Burn;RecipeMap.sFuelsGas = FM.Gas;RecipeMap.sFuelsHot = FM.Hot;RecipeMap.sFuelsPlasma = FM.Plasma;RecipeMap.sFuelsEngine = FM.Engine;RecipeMap.sFuelsTurbine = FM.Turbine;RecipeMap.sFuelsMagic = FM.Magic;}
}